import z from 'zod';
export declare const payinProviderCustomerIdParser: z.ZodEffects<z.ZodUnion<[z.ZodEffects<z.ZodString, import("../stripe/types").StripeCustomerIdBrand, string>, z.ZodLiteral<"paypal">]>, import("../stripe/types").StripeCustomerIdBrand | "paypal", string>;
export declare const payinProviderOriginTypeParser: z.ZodEnum<["stripe", "paypal"]>;
export declare const payinProviderParamsParser: z.ZodObject<{
    originType: z.ZodEnum<["stripe", "paypal"]>;
}, "strip", z.ZodTypeAny, {
    originType: "paypal" | "stripe";
}, {
    originType: "paypal" | "stripe";
}>;
export declare const payinProviderResultParser: z.ZodEffects<z.ZodUnion<[z.ZodEffects<z.ZodString, import("../stripe/types").StripeCustomerIdBrand, string>, z.ZodLiteral<"paypal">]>, import("../stripe/types").StripeCustomerIdBrand | "paypal", string>;
