import { z } from 'zod';
export declare const paypalPlanIdParser: z.ZodEffects<z.ZodString, never, string>;
export declare const paypalProductIdParser: z.ZodEffects<z.ZodString, never, string>;
export declare const paypalPayinMethodIdParser: z.ZodString;
export declare const paypalPayoutMethodIdParser: z.ZodEffects<z.ZodString, string, string>;
export declare const paypalCustomerIdParser: z.ZodLiteral<"paypal">;
export declare const paypalTransactionIdParser: z.ZodEffects<z.ZodString, import("./types").PaypalTransactionIdBrand, string>;
