import z from 'zod';
import { payoutProviderLoginLinkParamsParser, payoutProviderLoginLinkResultParser } from './parsers';
import { PAYOUT_PROVIDER_ORIGIN_TYPES } from './constants';

export type PayoutProviderOriginType = (typeof PAYOUT_PROVIDER_ORIGIN_TYPES)[number];

export type PayoutProviderLoginLinkParams = z.infer<typeof payoutProviderLoginLinkParamsParser>;
export type PayoutProviderLoginLinkResult = z.infer<typeof payoutProviderLoginLinkResultParser>;
