export const STRIPE_SUBSCRIPTION_PREFIX = 'sub_' as const;
export const STRIPE_PAYMENT_INTENT_PREFIX = 'pi_' as const;
export const STRIPE_CHARGE_PREFIX = 'ch_' as const;
export const STRIPE_INVOICE_PREFIX = 'in_' as const;
export const STRIPE_CUSTOMER_PREFIX = 'cus_' as const;
export const STRIPE_PRODUCT_PREFIX = 'prod_' as const;
export const STRIPE_PRICE_PREFIX = 'plan_' as const;
const STRIPE_PAYMENT_METHOD_PREFIX = 'pm_' as const;
// stripe.com/docs/payments/payment-methods/transitioning we got some events like customer.source.created and some "payment methods" like card_1MW6RNEv2j5aYmujnrzxH0xO at some point https://currents-workspace.slack.com/archives/C03CLM1KHCJ/p1676653926905939
const STRIPE_PAYMENT_METHOD_PREFIX_2 = 'card_' as const;
export const STRIPE_PAYMENT_METHOD_PREFIXES = [STRIPE_PAYMENT_METHOD_PREFIX, STRIPE_PAYMENT_METHOD_PREFIX_2] as const;
export const STRIPE_CONNECT_ACCOUNT_PREFIX = 'acct_' as const;
export const STRIPE_PAYOUT_PREFIX = 'po_' as const;
export const STRIPE_CONNECT_TRANSFER_PREFIX = 'tr_' as const;
export const STRIPE_CONNECT_TRANSFER_REVERSAL_PREFIX = 'trr_' as const;
export const STRIPE_CONNECT_CLIENT_PREFIX = 'acct_' as const;
